Delete a preview of a comment of a task. The preview must be on the comment, and the comment must be on the task. Administrators and the managers of the project can use this route. Other users must be assignees of the task, supervisors of its department, or creators of its entity. You must also be able to read the comment. A client of the project cannot use this route. Use force=true to delete the files from the storage now. Else, the purge deletes them later. Only an administrator or a manager of the project can use force.
DELETE
/actions/tasks/{task_id}/comments/{comment_id}/preview-files/{preview_file_id}
curl
curl -X DELETE "http://api.example.com/actions/tasks/a24a6ea4-ce75-4665-a070-57453082c25/comments/a24a6ea4-ce75-4665-a070-57453082c25/preview-files/a24a6ea4-ce75-4665-a070-57453082c25?force=" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json"
import requests
url = "http://api.example.com/actions/tasks/a24a6ea4-ce75-4665-a070-57453082c25/comments/a24a6ea4-ce75-4665-a070-57453082c25/preview-files/a24a6ea4-ce75-4665-a070-57453082c25"
headers = {
"Authorization": "Bearer YOUR_API_TOKEN",
"Accept": "application/json"
}
params = {
"force": ""
}
payload = None
response = requests.delete(
url,
headers=headers,
params=params,
json=payload
)
response.raise_for_status()
if response.content:
print(response.json())